  ! This software DSOBJS.F90 is part of the Compaq Visual Fortran kit.
  !	
  ! This software is provided as an example that demonstrates a particular
  ! feature/function of the licensed product. The software is not intended to
  ! provide a complete solution to any application problem but rather is provided
  ! as a teaching mechanism.
  ! 
  ! Users may incorporate any part of this sample into their own source after 
  ! making appropriate changes to make it suitable for the intended application.

	MODULE DSBOBJS
	IMPLICIT NONE

! Object Pointers

	  INTEGER*4 dsappl
	  INTEGER*4 dsdocs
	  INTEGER*4 dsdoc
	  INTEGER*4 dsproject
	  INTEGER*4 dsconfigs
	  INTEGER*4 dsconfig
	  INTEGER*4 enum

	CONTAINS

	  SUBROUTINE INITOBJECTS()
		  dsappl = 0
		  dsdocs = 0
		  dsdoc = 0
		  dsproject = 0
		  dsconfigs = 0
		  dsconfig = 0
	  END SUBROUTINE
	  
	  SUBROUTINE RELEASEOBJECTS()
		  USE DFCOM
		  INTEGER*4 status
		  IF (dsconfig /= 0) status = COMRELEASEOBJECT ( dsconfig )
		  IF (dsconfigs /= 0) status = COMRELEASEOBJECT ( dsconfigs )
		  IF (dsproject /= 0) status = COMRELEASEOBJECT ( dsproject )
		  IF (dsdoc /= 0) status = COMRELEASEOBJECT ( dsdoc )
		  IF (dsdocs /= 0) status = COMRELEASEOBJECT ( dsdocs )
		  IF (dsappl /= 0) status = COMRELEASEOBJECT ( dsappl )
	  END SUBROUTINE


	END MODULE